# snappy-proposed-selftest-agent
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""Constants for this service."""
import socket

# Queue names are constant, rather than being defined in the config.

# We listen to a fanout exchange for candidate packages to test
INPUT_EXCHANGE = "candidates.exchange.v1"

# The queue needs to be unique to selftest agents
INPUT_QUEUE = "snappy-proposed.candidates.v1"

# The queue we send events on to request image build and test
IMAGE_BUILD_QUEUE = "snappy-proposed.packages.v1"

# We need to notify the results exchange that the test is in progress
RESULTS_EXCHANGE = "results.exchange.v1"

# The queue we put fatally error'd payloads into:
DEAD_LETTER_QUEUE = "snappy-proposed.deadletters.v1"

SOLUTION_NAME = "snappy-proposed"

SERVICE_NAME = "selftest-agent"

HOSTNAME = socket.gethostname()

LOGGING_EXTRA = {
    'solution': SOLUTION_NAME,
    'service': SERVICE_NAME,
    'hostname': HOSTNAME,
}

TEST_NAME = 'snappy-selftest'
TEST_BRANCH = 'lp:snappy/selftest'
CHANNEL = 'ubuntu-core/rolling/edge'
DEVICE = 'amd64_generic'
